/[gentoo-x86]/eclass/qt4.eclass
Gentoo

Diff of /eclass/qt4.eclass

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.46 Revision 1.48
1# Copyright 2005 Gentoo Foundation 1# Copyright 2005 Gentoo Foundation
2# Distributed under the terms of the GNU General Public License v2 2# Distributed under the terms of the GNU General Public License v2
3# $Header: /var/cvsroot/gentoo-x86/eclass/Attic/qt4.eclass,v 1.46 2008/07/28 22:10:16 carlo Exp $ 3# $Header: /var/cvsroot/gentoo-x86/eclass/Attic/qt4.eclass,v 1.48 2008/08/03 20:47:27 carlo Exp $
4 4
5# @ECLASS: qt4.eclass 5# @ECLASS: qt4.eclass
6# @MAINTAINER: 6# @MAINTAINER:
7# Caleb Tennis <caleb@gentoo.org> 7# Caleb Tennis <caleb@gentoo.org>
8# @BLURB: Eclass for Qt4 packages 8# @BLURB: Eclass for Qt4 packages
15 15
16inherit eutils multilib toolchain-funcs versionator 16inherit eutils multilib toolchain-funcs versionator
17 17
18QTPKG="x11-libs/qt-" 18QTPKG="x11-libs/qt-"
19QT4MAJORVERSIONS="4.4 4.3 4.2 4.1 4.0" 19QT4MAJORVERSIONS="4.4 4.3 4.2 4.1 4.0"
20QT4VERSIONS="4.4.0 4.4.0_beta1 4.4.0_rc1 20QT4VERSIONS="4.4.1 4.4.0 4.4.0_beta1 4.4.0_rc1
21 4.3.4-r1 4.3.5 4.3.4 4.3.3 4.3.2-r1 4.3.2 4.3.1-r1 4.3.1 21 4.3.4-r1 4.3.5 4.3.4 4.3.3 4.3.2-r1 4.3.2 4.3.1-r1 4.3.1
22 4.3.0-r2 4.3.0-r1 4.3.0 4.3.0_rc1 4.3.0_beta1 22 4.3.0-r2 4.3.0-r1 4.3.0 4.3.0_rc1 4.3.0_beta1
23 4.2.3-r1 4.2.3 4.2.2 4.2.1 4.2.0-r2 4.2.0-r1 4.2.0 23 4.2.3-r1 4.2.3 4.2.2 4.2.1 4.2.0-r2 4.2.0-r1 4.2.0
24 4.1.4-r2 4.1.4-r1 4.1.4 4.1.3 4.1.2 4.1.1 4.1.0 24 4.1.4-r2 4.1.4-r1 4.1.4 4.1.3 4.1.2 4.1.1 4.1.0
25 4.0.1 4.0.0" 25 4.0.1 4.0.0"
27# @FUNCTION: qt4_min_version 27# @FUNCTION: qt4_min_version
28# @USAGE: [minimum version] 28# @USAGE: [minimum version]
29# @DESCRIPTION: 29# @DESCRIPTION:
30# This function is deprecated. Use slot dependencies instead. 30# This function is deprecated. Use slot dependencies instead.
31qt4_min_version() { 31qt4_min_version() {
32 local deps="$@"
32 ewarn "qt4_min_version() is deprecated. Use slot dependencies instead." 33 ewarn "${CATEGORY}/${PF}: qt4_min_version() is deprecated. Use slot dependencies instead."
33 epause
34 case ${EAPI:-0} in 34 case ${EAPI:-0} in
35 # EAPIs without SLOT dependencies 35 # EAPIs without SLOT dependencies
36 0) echo "|| (" 36 0) echo "|| ("
37 qt4_min_version_list "$@" 37 qt4_min_version_list "${deps}"
38 echo ")" 38 echo ")"
39 ;; 39 ;;
40 # EAPIS with SLOT dependencies. 40 # EAPIS with SLOT dependencies.
41 *) echo ">=${QTPKG}${1}:4" 41 *) echo ">=${QTPKG}${1}:4"
42 ;; 42 ;;

Legend:
Removed from v.1.46  
changed lines
  Added in v.1.48

  ViewVC Help
Powered by ViewVC 1.1.20